WordPress 4.5 – Uncaught Error: Syntax error, unrecognized expression: a[href*=#

Jeden z menších snippetů, které bych zase složitě hledal, tak si jej uložím na blog. Jedná se o problém s aktualizací WordPressu na verzi 4.5 a vyšší.

V této verzi došlo k aktualizaci jQuery knihovny a řada pluginů, nebo šablon s tím má problém.

Pokud nemáte k dispozici aktualizaci, můžete použít tento fujky snippet, který vám nahradí aktuální jQuery starší verzí:


add_action( 'wp_enqueue_scripts', 'load_old_jquery_fix', 100 );
function load_old_jquery_fix() {
if ( ! is_admin() ) {
wp_deregister_script( 'jquery' );
wp_register_script( 'jquery', ( "//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" ), false, '1.11.3' );
wp_enqueue_script( 'jquery' );
}
}

Berte to jako dočasné řešení, jakmile budete mít aktualizaci šablony, toto odstraňte.
Zdroj: Nalezeno v diskuzi na WordPress.org

Čtěte  Jak upravit počet souvisejících produktů ve WooCommerce

About The Author

Zajímá mne Wordpress, responsivní šablony a zkrátka vše kolem tohoto skvělého redakčního systému.

Related posts

Leave a Reply

Vaše emailová adresa nebude zveřejněna. Vyžadované informace jsou označeny *